Bug 218115 - [patch] devel/protobuf needs c++11 feature
Summary: [patch] devel/protobuf needs c++11 feature
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-03-25 14:58 UTC by Hiroo Ono
Modified: 2017-03-27 11:19 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
add USES compiler:c++11-lang feature to the Makefile (322 bytes, patch)
2017-03-25 14:58 UTC, Hiroo Ono
no flags Details | Diff
failure log from poudriere on powerpc64 (55.25 KB, text/plain)
2017-03-25 14:59 UTC, Hiroo Ono
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2017-03-25 14:58:39 UTC
Created attachment 181188 [details]
add USES compiler:c++11-lang feature to the Makefile

devel/protobuf port needs c++11-lang feature, while it is not specified with USES entry.
The default compiler is still gcc 4.2 on powerpc64, so it fails to build on that arch.
Comment 1 Hiroo Ono 2017-03-25 14:59:42 UTC
Created attachment 181189 [details]
failure log from poudriere on powerpc64
Comment 2 commit-hook freebsd_committer 2017-03-26 21:25:20 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 26 21:24:16 UTC 2017
New revision: 436994
URL: https://svnweb.freebsd.org/changeset/ports/436994

Log:
  Fix build on powerpc64

  PR:		218115
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com>

Changes:
  head/devel/protobuf/Makefile
Comment 3 Po-Chuan Hsieh freebsd_committer 2017-03-27 11:19:20 UTC
Committed. Thanks!